html,body {
    margin: 0;
    padding: 0;
    font-family: "Noto Sans JP", sans-serif;
    font-optical-sizing: auto;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

header {
    background: url(../img/header.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: clamp(40px, 20vw, 80px) clamp(20px, 10vw, 40px);
}

header > h1 {
    color: white;
    background: #0a0a0a;
    padding: clamp(5px, 2.5vw, 10px) clamp(10px, 5vw, 20px);
    font-size: clamp(16px, 8vw, 32px);
}

.notice {
    width: 90%;
    margin: clamp(5px, 2.5vw, 10px) 5%;
    background: rgb(255, 255, 163);
    padding: clamp(5px, 2.5vw, 10px);
    border-radius: 10px;
    border: solid 1px rgb(250, 250, 125);
}

.step {
    width: 95%;
    margin: 2.5%;
    border-radius: 10px;
    overflow: hidden;
    box-shadow: 0 0 2px rgba(0,0,0,0.4) ;
}

.step > .header {
    width: 100%;
    display: block;
    color: white;
    overflow: hidden;
}

.step > .header > h2 {
    margin: 0;
    font-size: clamp(10px, 5vw, 20px);
    padding: clamp(4px, 2vw, 8px) clamp(8px, 4vw, 16px);
}

.step > .header.blue {
    background: rgb(0, 92, 196);
}

.step > .header.orange {
    background: rgb(255, 128, 16);
}

.step > .header.green {
    background: rgb(0, 157, 0);
}

.step > .header.purple {
    background: rgb(172, 0, 172);
}

.step > .contents {
    width: 100%;
    padding: clamp(10px, 5vw, 20px);
}

.step > .contents > h3 {
    padding-left: clamp(5px, 2.5vw, 10px);
    position: relative;
    margin: clamp(5px, 2.5vw, 10px) 0;
}

.step > .contents > h3::before {
    display: block;
    height: 100%;
    width: 2px;
    background: black;
    content: "";
    position: absolute;
    left: 0;
    top: 0;
}


details {
    width: 100%;
    transition: max-height 0.5s ease;
    overflow: hidden;
    border: solid 1px black;
    border-radius: 5px;
}

summary {
    display: block;
    position: relative;
    padding: clamp(5px, 2.5vw, 10px);
}

summary::-webkit-details-marker {
  display: none;
}

summary::after {
    display: block;
    position: absolute;
    height: 50%;
    aspect-ratio: 1/1;
    right: clamp(5px, 2.5vw, 10px);
    top: 25%;
    content: "";
    clip-path: polygon(0 55%, 0 75%, 50% 25%, 100% 75%, 100% 55%, 50% 5%);
    background: #0a0a0a;
    rotate: 180deg;
    transition: clip-path .5s ease;
}

details.open > summary::after {
    clip-path: polygon(0 45%, 0 25%, 50% 75%, 100% 25%, 100% 45%, 50% 95%);
}

summary::before {
    display: block;
    position: absolute;
    height: 1px;
    width: calc(100% - clamp(10px, 5vw, 20px));
    bottom: 0;
    left: clamp(5px, 2.5vw, 10px);
    content: "";
    background: #0a0a0a;
    clip-path: polygon(50% 0, 50% 0, 50% 100%, 50% 100%);
    transition: clip-path .5s ease;
}

details.open > summary::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0% 100%);
}


details > .contents {
    padding: clamp(5px, 2.5vw, 10px);

}